Search found 2124 matches

Search found 2124 matches Page 1 of 213
by James
Thu Nov 25, 2021 6:59 pm
Forum: Viscosity Support (Windows Version)
Topic: Routing issue for version above 1.10.0
Replies: 2
Views: 31

Hi kylezhang, It sounds likely something about your setup may be incompatible with OpenVPN 2.5. Viscosity version 1.10 and later include OpenVPN 2.5 support. As a temporary work-around you can drop back to using OpenVPN 2.4, by opening Viscosity's Preferences window, clicking on the Advanced tab, an...
by James
Wed Nov 17, 2021 2:34 pm
Forum: Viscosity Support (Mac Version)
Topic: Helper Tools Installation Failed
Replies: 6
Views: 117

Unfortunately 1.10 gives the same error. Version 1.10 does not have this check in place, it's not possible for it to display the same error message. I recommend checking that the correct version of Viscosity is being run. If you have multiple copies installed perhaps the wrong copy is being run, an...
by James
Wed Nov 17, 2021 1:09 am
Forum: Viscosity Support (Mac Version)
Topic: Helper Tools Installation Failed
Replies: 6
Views: 117

In the meantime can I get a copy of 1.10.1 b3? The previous version of Viscosity, version 1.10, can be downloaded from the link below. I'm afraid we don't keep old beta versions available for long. https://swupdate.sparklabs.com/download/mac/release/viscosity/Viscosity%201.10.dmg Running this comma...
by James
Wed Nov 17, 2021 12:16 am
Forum: Viscosity Support (Mac Version)
Topic: Helper Tools Installation Failed
Replies: 6
Views: 117

Hi sparkplug77, Viscosity 1.10.1 now alerts you if the helper tools could not be updated, and the reason why. Helper tools consist of things like the OpenVPN binaries. Older versions of Viscosity would ignore a helper tools update failure and just attempt to run with the existing older tools. Howeve...
by James
Tue Nov 16, 2021 4:58 pm
Forum: Viscosity Support (Mac Version)
Topic: Server Validation Configuration Questions
Replies: 2
Views: 56

With the serious stuff out of the way, I also want to follow up with another post just addressing your particular connection's security itself and help try to allay some fears. We've all been in a position of panic where we've gone "Have I been insecure this whole time!?", but I think in t...
by James
Tue Nov 16, 2021 3:59 pm
Forum: Viscosity Support (Mac Version)
Topic: Server Validation Configuration Questions
Replies: 2
Views: 56

Hi julienp, So firstly, I've changed the title on your post from "major security bug on Viscosity client" to what it is now. We mean no offence by this change, however the previous title was incorrect and inflammatory. The TLDR for any other Viscosity users coming across this post: this is...
by James
Fri Nov 12, 2021 7:46 pm
Forum: Viscosity Support (Mac Version)
Topic: Unable to connect with Monterey
Replies: 3
Views: 78

Hi mattzarb, The problem here is the "verify-client-cert none" command. It is an OpenVPN server only command and can't be used client side. Removing the command from your configuration should allow you to connect. https://www.sparklabs.com/support/kb/article/advanced-configuration-commands...
by James
Wed Nov 10, 2021 3:09 pm
Forum: Viscosity Support (Mac Version)
Topic: Focus-grabbing upgrade prompt
Replies: 1
Views: 58

Hi ratness, I'm afraid there isn't a current way to change the behaviour. Sparkle, the update framework Viscosity uses (along with most Mac apps), does respect Do Not Disturb settings, so enabling that when wanting to avoid the possibility of a prompt might be an option. You'll find some other posts...
by James
Tue Nov 09, 2021 1:18 pm
Forum: Viscosity Support (Mac Version)
Topic: when Viscosity is off, there is no conection
Replies: 1
Views: 63

Hi afshany, Viscosity is likely allowing your internet to work again as while connected to your VPN connection you're using different DNS servers and your network traffic will be routed differently. However I'm afraid the underlying problem with your normal network connection will be unrelated to Vi...
by James
Tue Nov 09, 2021 1:14 pm
Forum: Viscosity Support (Mac Version)
Topic: The OpenVPN subsystem could not be started
Replies: 2
Views: 57

Hi gtvsupp, The "duplicate-cn" command is an OpenVPN server-side command only: it cannot be used client side. Please remove it and try connecting again. Information on how to edit advanced commands can be found at: https://www.sparklabs.com/support/kb/article/advanced-configuration-command...
Search found 2124 matches Page 1 of 213